Debian Bug report logs - #535250
Please build with libcoin60-dev

version graph

Package: libopenscenegraph56; Maintainer for libopenscenegraph56 is (unknown);

Reported by: "Steve M. Robbins" <smr@debian.org>

Date: Wed, 1 Jul 2009 06:51:01 UTC

Severity: serious

Found in version openscenegraph/2.8.1-1

Fixed in version openscenegraph/2.8.2-1

Done: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Loic Dachary (OuoU) <loic@debian.org>:
Bug#535250; Package libopenscenegraph56. (Wed, 01 Jul 2009 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <smr@debian.org>:
New Bug report received and forwarded. Copy sent to Loic Dachary (OuoU) <loic@debian.org>. (Wed, 01 Jul 2009 06:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <smr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please build with libcoin60-dev
Date: Wed, 01 Jul 2009 01:48:51 -0500
Package: libopenscenegraph56
Version: 2.8.1-1
Severity: normal

Hi,

Please consider changing the build-deps to libcoin60-dev (coin 3.x)
rather than libcoin40-dev (coin 2.x).  I've tried locally and
openscenegraph builds with coin 3.

I'd like to request removal of coin 2.x from the archive.

Thanks,
-Steve (coin maintainer)



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added indication that bug 535250 blocks 535294 Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 28 Sep 2009 13:06:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Laurent Bonnaud <Laurent.Bonnaud@inpg.fr> to control@bugs.debian.org. (Wed, 30 Dec 2009 09:21:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Loic Dachary (OuoU) <loic@debian.org>:
Bug#535250; Package libopenscenegraph56. (Wed, 30 Dec 2009 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
Extra info received and forwarded to list. Copy sent to Loic Dachary (OuoU) <loic@debian.org>. (Wed, 30 Dec 2009 09:30:03 GMT) Full text and rfc822 format available.

Message #14 received at 535250@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>
To: 535250@bugs.debian.org
Subject: Re: Please build with libcoin60-dev
Date: Wed, 30 Dec 2009 10:19:22 +0100
Hi,

libopenscenegraph-dev is now uninstallable:

# apt-get install libopenscenegraph-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  libopenscenegraph-dev: Depends: libopenscenegraph56 (= 2.8.1-1.1) but it is not going to be installed
E: Broken packages

# apt-get install libopenscenegraph-dev libopenscenegraph56
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  libopenscenegraph56: Depends: libcoin40c2 but it is not installable
E: Broken packages

and cannot be rebuilt:

# apt-get build-dep libopenscenegraph-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Picking 'openscenegraph' as source package instead of 'libopenscenegraph-dev'
Package libcoin40-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libcoin40-dev has no installation candidate
E: Failed to satisfy Build-Depends dependency for openscenegraph: libcoin40-dev

Therefore I am going to raise the severity of this bug...

-- 
Laurent Bonnaud.
http://www.lis.inpg.fr/pages_perso/bonnaud/







Reply sent to manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo):
You have taken responsibility. (Sun, 17 Jan 2010 21:54:08 GMT) Full text and rfc822 format available.

Notification sent to "Steve M. Robbins" <smr@debian.org>:
Bug acknowledged by developer. (Sun, 17 Jan 2010 21:54:08 GMT) Full text and rfc822 format available.

Message #19 received at 535250-close@bugs.debian.org (full text, mbox):

From: manuel.montezelo@gmail.com (Manuel A. Fernandez Montecelo)
To: 535250-close@bugs.debian.org
Subject: Bug#535250: fixed in openscenegraph 2.8.2-1
Date: Sun, 17 Jan 2010 21:52:02 +0000
Source: openscenegraph
Source-Version: 2.8.2-1

We believe that the bug you reported is fixed in the latest version of
openscenegraph, which is due to be installed in the Debian FTP archive:

libopenscenegraph-dev_2.8.2-1_i386.deb
  to main/o/openscenegraph/libopenscenegraph-dev_2.8.2-1_i386.deb
libopenscenegraph56_2.8.2-1_i386.deb
  to main/o/openscenegraph/libopenscenegraph56_2.8.2-1_i386.deb
libopenthreads-dev_2.8.2-1_i386.deb
  to main/o/openscenegraph/libopenthreads-dev_2.8.2-1_i386.deb
libopenthreads12_2.8.2-1_i386.deb
  to main/o/openscenegraph/libopenthreads12_2.8.2-1_i386.deb
openscenegraph-doc_2.8.2-1_all.deb
  to main/o/openscenegraph/openscenegraph-doc_2.8.2-1_all.deb
openscenegraph_2.8.2-1.diff.gz
  to main/o/openscenegraph/openscenegraph_2.8.2-1.diff.gz
openscenegraph_2.8.2-1.dsc
  to main/o/openscenegraph/openscenegraph_2.8.2-1.dsc
openscenegraph_2.8.2-1_i386.deb
  to main/o/openscenegraph/openscenegraph_2.8.2-1_i386.deb
openscenegraph_2.8.2.orig.tar.gz
  to main/o/openscenegraph/openscenegraph_2.8.2.orig.tar.gz
openthreads-doc_2.8.2-1_all.deb
  to main/o/openscenegraph/openthreads-doc_2.8.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535250@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> (supplier of updated openscenegraph package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Dec 2009 21:25:40 +0100
Source: openscenegraph
Binary: libopenthreads-dev libopenthreads12 openthreads-doc libopenscenegraph-dev libopenscenegraph56 openscenegraph-doc openscenegraph
Architecture: source i386 all
Version: 2.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Changed-By: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Description: 
 libopenscenegraph-dev - 3D scenegraph development files
 libopenscenegraph56 - low level graphics library for openscenegraph
 libopenthreads-dev - Object-Oriented (OO) thread interface for C++ programmers, develo
 libopenthreads12 - Object-Oriented (OO) thread interface for C++ programmers, develo
 openscenegraph - 3D scenegraph binary files
 openscenegraph-doc - 3D scenegraph documentation
 openthreads-doc - Documentation for Object-Oriented (OO) thread interface
Closes: 535250 552157 555869
Changes: 
 openscenegraph (2.8.2-1) unstable; urgency=low
 .
   * New upstream release
   * Changed debhelper compat to level 7 (level 4 is deprecated)
   * Build-Depend on libcoin60-dev instead of libcoin40-dev (Closes: #535250)
   * Build-Depend on freeglut3-dev instead of libglut*-dev (Closes: #552157)
   * Added patch from Alberto Luaces to allow using binutils-gold (Closes: #555869)
   * Dropped patch (fixed upstream already in 2.8.1):
      - bug-497933.dpatch
Checksums-Sha1: 
 17e5afbcdbc55c9a105b6f083f88ac7a1b2e66f9 1453 openscenegraph_2.8.2-1.dsc
 5da85846581d7f43f925eec8834e4f87373abb4b 4579948 openscenegraph_2.8.2.orig.tar.gz
 4efa11451199b76d0ad29a189870a6c9fcbc4474 17743 openscenegraph_2.8.2-1.diff.gz
 b033a3271627c8c32b31ce363fdc8fd164a1dd29 17924 libopenthreads-dev_2.8.2-1_i386.deb
 d78742eb08df87d3a7b12be37bdb251102650acb 20218 libopenthreads12_2.8.2-1_i386.deb
 aae1d9fcf1d52cceec702ff48acf1d8a8a54db27 8374 openthreads-doc_2.8.2-1_all.deb
 a6c470417aaa3ef5640710450d8bbc146c606f03 567784 libopenscenegraph-dev_2.8.2-1_i386.deb
 830f7e22906d889f3382f5e83f46ab441e02ca50 34804540 libopenscenegraph56_2.8.2-1_i386.deb
 91b0c2ad7be8061a07f2f304bb6a77a1cbfa1bc5 9436148 openscenegraph-doc_2.8.2-1_all.deb
 0905ed5d587db9576d4d6a58a427250e88e28008 3029928 openscenegraph_2.8.2-1_i386.deb
Checksums-Sha256: 
 7ae09d7930cbde5363b3426d637905b817be876a03e4178d8bd7cced0c18052f 1453 openscenegraph_2.8.2-1.dsc
 474fe84e8a7a9ad0e903527578acd4de23506f1429f2e2c468a1be3e6a8d3c5a 4579948 openscenegraph_2.8.2.orig.tar.gz
 f3c216d23afc95975c093de80db9b83e49fb8eeb2d12f4738f6dc3d24d2ba921 17743 openscenegraph_2.8.2-1.diff.gz
 68886421c606bdc25423a853c059069011c991058cb77d445c9b84c923b10b7c 17924 libopenthreads-dev_2.8.2-1_i386.deb
 2d8162f75fc78dcaa1061992c8343ac868f7b62db05c505b9ea2ce0fc5681fa7 20218 libopenthreads12_2.8.2-1_i386.deb
 a481105c916501dbe8d3cfdae3244bc1296d453cab1d9254283341cb36d6150d 8374 openthreads-doc_2.8.2-1_all.deb
 4d655b975d149078364ea184c7de9703d440987dc607ad1437e6a90bc3655860 567784 libopenscenegraph-dev_2.8.2-1_i386.deb
 13078ab9edcebec86aa7cc7f8fd405324475c3a00d57739c6e5c6cceb625f6ac 34804540 libopenscenegraph56_2.8.2-1_i386.deb
 0b96ec718f28e5c80ec8c1996f7a33c75409edd29870bc9de63e9f192dd92562 9436148 openscenegraph-doc_2.8.2-1_all.deb
 da82838cf3d38bce84b2a4be9c36d7f35e05442646f222a7feca845ff40b0bb5 3029928 openscenegraph_2.8.2-1_i386.deb
Files: 
 82c1a819616aa4d72dc131a477721adc 1453 devel optional openscenegraph_2.8.2-1.dsc
 284f08674425cc1d8bd8e1fa35416016 4579948 devel optional openscenegraph_2.8.2.orig.tar.gz
 29098a45f16f508b40116bd863674ec8 17743 devel optional openscenegraph_2.8.2-1.diff.gz
 44f9ff03632372fb10196a496efe6911 17924 libdevel optional libopenthreads-dev_2.8.2-1_i386.deb
 dbbc9fb0a21632e63758778d5a75db8e 20218 libs optional libopenthreads12_2.8.2-1_i386.deb
 2830f92f52a8b59bf2f7cce99559d3e6 8374 doc optional openthreads-doc_2.8.2-1_all.deb
 17e7cb49b977399cd636c5b67351a9b9 567784 libdevel optional libopenscenegraph-dev_2.8.2-1_i386.deb
 72b5a25e3b80fa401800f0877a0ebc3a 34804540 libs optional libopenscenegraph56_2.8.2-1_i386.deb
 8111ab83660e8f2ef7605b7672c92e6a 9436148 doc optional openscenegraph-doc_2.8.2-1_all.deb
 fa021cee25211ee4f6cf305e82851695 3029928 devel optional openscenegraph_2.8.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktTeOsACgkQ8dLMyEl6F21nBACfb+T3KEj6UylrqSOehRTl2AwJ
VGEAnRmlR6bHkLdyO9cOixOtgYNHV/Xm
=6J1u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Feb 2010 07:37:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:02:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.